PingSnitch = CreateFrame("Frame", nil, UIParent)

function PingSnitch:Initialize()
	self.cSnitchFormat = "PingSnitch: Minimap ping from %s"
	self.LastPingPlayer = nil
	self.LastPingTime = nil

	self:SetScript("OnEvent", function (self, ...) self:OnEvent(...) end)
	self:RegisterEvent("MINIMAP_PING")
end

function PingSnitch:OnEvent(pEvent, ...)
	local	vPlayer = UnitName(select(1, ...))
	local	vTime = GetTime()
	
	if vPlayer ~= self.LastPingPlayer
	or self.LastPingTime == nil
	or (vTime - self.LastPingTime) >= 10 then
		DEFAULT_CHAT_FRAME:AddMessage(
				self.cSnitchFormat:format(vPlayer),
				0.7, 0.3, 1.0);
		
		self.LastPingPlayer = vPlayer
		self.LastPingTime = vTime
	end
end

PingSnitch:Initialize()
